Authorize Salesforce
curl --request GET \
--url https://api.klavis.ai/oauth/salesforce/authorizeimport requests
url = "https://api.klavis.ai/oauth/salesforce/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/salesforce/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/salesforce/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}OAuth Servers
Authorize Salesforce
Start Salesforce OAuth flow
Parameters:
- instance_id: Identifier for the instance requesting authorization
- client_id: Optional client ID for white labeling
- scope: Optional scopes to request (space-separated)
- redirect_url: Optional URL to redirect to after authorization completes
- instance_url: Optional Salesforce instance URL for sandbox or custom domains
GET
/
oauth
/
salesforce
/
authorize
Authorize Salesforce
curl --request GET \
--url https://api.klavis.ai/oauth/salesforce/authorizeimport requests
url = "https://api.klavis.ai/oauth/salesforce/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/salesforce/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/salesforce/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Unique identifier for the client instance requesting authorization
Client ID for white labeling, if not provided will use default credentials
Optional OAuth scopes to request (space-separated string)
Optional URL to redirect to after authorization completes
Salesforce instance URL (e.g., https://mycompany.salesforce.com). If not provided, will use default login.salesforce.com
Response
Successful Response
